%define		debug_package %{nil}

Name:		banshee-community-extensions
Version:	2.2.0
Release:	1%{?dist}
Summary:	Collection of extensions for the media player Banshee
Group:		Applications/Multimedia
License:	GPLv2+ and MIT
URL:		http://banshee-project.org/download/extensions/
Source0:	http://download.banshee-project.org/banshee-community-extensions/%{version}/%{name}-%{version}.tar.bz2
Requires:	banshee
#Requires:	clutter-gtk010
BuildRequires:	mono-devel, banshee-devel, banshee-musicbrainz-devel
BuildRequires:	intltool, gnome-sharp-devel
#BuildRequires:	clutter-gtk010-devel
#BuildRequires:	clutter-sharp-devel
BuildRequires:	fftw-devel, libsamplerate-devel, gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires:	notify-sharp-devel, webkit-sharp-devel
BuildRequires:	gnome-doc-utils, lirc-devel

# no need to provide banshee-mirage since no other package requires it
Obsoletes:	banshee-mirage < 0.6.1
Requires:	banshee

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
The Banshee Community Extensions contains a set of useful extensions
for the media player Banshee. 

%prep
%setup -q

%build
%configure	--enable-gnome --disable-schemas-install \
		--enable-alarmclock \
		--enable-ampache \
		--disable-appindicator \
		--enable-awn \
		--disable-clutterflow \
		--enable-coverwallpaper \
		--enable-jamendo \
		--enable-lastfmfingerprint \
		--enable-lcd \
		--enable-lirc \
		--enable-liveradio \
		--enable-lyrics \
		--enable-magnatune \
		--enable-mirage \
		--disable-openvp \
		--enable-radiostationfetcher \
		--enable-randombylastfm \
		--enable-stream-recorder \
		--enable-telepathy  \
		--disable-zeitgeistdataprovider
make V=1 %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install-strip
chmod 644 `find $RPM_BUILD_ROOT%{_libdir}/banshee/Extensions -name '*.dll.config'`

# delete unneeded *.(l)a files
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' -exec rm -f {} \;

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_libdir}/banshee/Extensions/*
%{_datadir}/gnome/help/banshee/*/*
%{_datadir}/banshee-community-extensions/icons/hicolor/22x22/categories/jamendo.png


%changelog
* Fri Nov 18 2011 Christian Krause <chkr@fedoraproject.org> - 2.2.0-1
- Update to stable release 2.2.0
- Disable clutter support for now (clutter-gtk is linked against gtk3,
  but banshee / gtk-sharp is still using gtk2)

* Fri Oct 14 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 2.0.1-3
- rebuild for clutter-gtk010

* Sun May 08 2011 Christian Krause <chkr@fedoraproject.org> - 2.0.1-2
- Require clutter-gtk010

* Fri May 06 2011 Christian Krause <chkr@fedoraproject.org> - 2.0.1-1
- Update to stable release 2.0.1

* Tue Apr 05 2011 Christian Krause <chkr@fedoraproject.org> - 2.0.0-1
- Update to stable release 2.0.0

* Wed Mar 30 2011 Christian Krause <chkr@fedoraproject.org> - 1.9.6-1
- Update to development release 1.9.6

* Thu Mar 10 2011 Christian Krause <chkr@fedoraproject.org> - 1.9.5-1
- Update to development release 1.9.5
- Remove upstreamed patch

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Christian Krause <chkr@fedoraproject.org> - 1.9.3-1
- Update to development release 1.9.3

* Tue Feb  1 2011 Dan Horák <dan[at]danny.cz> - 1.9.2-2
- updated the supported arch list

* Sat Jan 15 2011 Christian Krause <chkr@fedoraproject.org> - 1.9.2-1
- Update to development release 1.9.2

* Tue Jan 11 2011 Christian Krause <chkr@fedoraproject.org> - 1.9.1-1
- Update to development release 1.9.1

* Mon Nov 01 2010 Christian Krause <chkr@fedoraproject.org> - 1.8.0-4
- Rebuilt against new clutter-sharp build

* Fri Oct 29 2010 Christian Krause <chkr@fedoraproject.org> - 1.8.0-3
- Rebuilt against Mono 2.8

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.8.0-2
- Fix permissions on dll.config files

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.8.0-1
- Update to 1.8.0
- Remove ipod-sharp and ndesk-dbus BR

* Wed Aug 18 2010 Christian Krause <chkr@fedoraproject.org> - 1.7.4-2
- Enable clutterflow extensions

* Tue Aug 17 2010 Christian Krause <chkr@fedoraproject.org> - 1.7.4-1
- Update to 1.7.4
- Add necessary BR

* Tue Jun 01 2010 Christian Krause <chkr@fedoraproject.org> - 1.6.0-2
- Rebuilt against new mono-addins

* Wed Mar 31 2010 Christian Krause <chkr@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0 release
- Remove upstreamed patch

* Sun Mar 28 2010 Christian Krause <chkr@fedoraproject.org> - 1.5.5-1
- Initial spec file
